.editor-js {
  .ce-block__content,
  .ce-toolbar__content {
    max-width: 100%;
  }

  .ce-toolbox {
    .ce-popover-item__icon {
      svg {
        color: rgb(var(--bs-black-rgb));
        vertical-align: top;
      }
    }
  }
}

.codex-editor {
  z-index: 8;

  & ::selection {
    background-color: rgb(var(--bs-primary-rgb));
    color: rgb(var(--bs-white-rgb));
  }

  @include color-mode(dark) {
    & ::selection {
      color: rgb(var(--bs-dark-rgb));
    }
  }

  .ce-inline-tool {
    color: rgb(var(--bs-black-rgb));
  }

  .ce-inline-tool-input {
    background-color: rgb(var(--bs-white-rgb));
  }

  .ce-inline-toolbar,
  .ce-conversion-toolbar {
    background-color: rgb(var(--bs-white-rgb));
    border: 1px solid rgb(var(--bs-gray-300-rgb));
    -webkit-box-shadow: 0 3px 15px -3px #0d142121;
    box-shadow: 0 3px 15px -3px #0d142121;
  }

  .ce-inline-tool:hover,
  .ce-inline-toolbar__dropdown:hover,
  .ce-conversion-tool:hover,
  .ce-popover-item:hover {
    background-color: rgb(var(--bs-gray-200-rgb));
    color: rgb(var(--bs-gray-800-rgb));
  }

  .ce-popover__container {
    background-color: rgb(var(--bs-gray-100-rgb));
    border-color: rgb(var(--bs-gray-200-rgb));
  }

  .ce-popover-item-separator__line{
    background: var(--bs-gray-200-rgb);
  }

  .cdx-search-field {
    background-color: rgb(var(--bs-gray-200-rgb));
    border: rgb(var(--bs-gray-300-rgb));
  }

  .ce-conversion-tool__icon,
  .ce-popover-item__icon,
  .ce-popover-item {
    color: rgb(var(--bs-black-rgb));

    svg {
      stroke: rgb(var(--bs-black-rgb));
    }

    &--active {
      background-color: rgb(var(--bs-white-rgb));
      color: rgb(var(--bs-black-rgb));
    }
  }

  .ce-toolbox {
    position: relative;
    right: 100px;
  }

  &:hover,
  &:focus {
    .ce-toolbar--opened {
      z-index: 999;
    }
  }

  .cdx-search-field__input::placeholder,
  .cdx-search-field__icon svg {
    color: rgb(var(--bs-gray-600-rgb));
  }

  .ce-toolbar__actions {
    & > .ce-toolbar__plus,
    & > .ce-toolbar__settings-btn {
      background-color: rgb(var(--bs-primary-rgb));
      color: rgb(var(--bs-white-rgb));
      opacity: 0.6;

      &:hover,
      &:active {
        opacity: 1;
      }
    }
  }

  .ce-block--selected .ce-block__content {
    background-color: var(--bs-body-bg);
  }
}
